/// Name of the cookie that contains session information
pub const SESSION_COOKIE_NAME: &str = "X-auth-token";

/// Maximum session duration after inactivity, in seconds
pub const MAX_INACTIVITY_DURATION: u64 = 60 * 30;

/// Maximum session duration (6 hours)
pub const MAX_SESSION_DURATION: u64 = 3600 * 6;

/// The routes that can be accessed without authentication
pub const ROUTES_WITHOUT_AUTH: [&str; 5] = [
    "/",
    "/api/server/static_config",
    "/api/auth/local",
    "/api/auth/start_oidc",
    "/api/auth/finish_oidc",
];

/// Allowed ISO mimetypes
pub const ALLOWED_ISO_MIME_TYPES: [&str; 3] = [
    "application/x-cd-image",
    "application/x-iso9660-image",
    "application/octet-stream",
];

/// ISO max size
pub const ISO_MAX_SIZE: usize = 10 * 1000 * 1000 * 1000;
