use crate::actors::libvirt_actor;
use crate::actors::libvirt_actor::{HypervisorInfo, LibVirtActor};
use actix::Addr;

#[derive(Clone)]
pub struct LibVirtClient(pub Addr<LibVirtActor>);

impl LibVirtClient {
    /// Get hypervisor info
    pub async fn get_info(&self) -> anyhow::Result<HypervisorInfo> {
        self.0.send(libvirt_actor::GetHypervisorInfo).await?
    }
}
